Mount temporal directory volume for ingress controller

This commit is contained in:
Manuel Alejandro de Brito Fontes 2019-09-25 12:55:21 -03:00
parent 50b6715f06
commit 6100836375
No known key found for this signature in database
GPG key ID: 786136016A8BA02A

View file

@ -22,11 +22,11 @@ set -o errexit
set -o nounset
set -o pipefail
# temporal directory for the fake SSL certificate
SSL_VOLUME=$(mktemp -d)
# temporal directory for the /etc/ingress-controller directory
INGRESS_VOLUME=$(mktemp -d)
function cleanup {
rm -rf "${SSL_VOLUME}"
rm -rf "${INGRESS_VOLUME}"
}
trap cleanup EXIT
@ -58,7 +58,7 @@ docker run \
-v "${KUBE_ROOT}:/go/src/${PKG}" \
-v "${KUBE_ROOT}/bin/${ARCH}:/go/bin/linux_${ARCH}" \
-v "/var/run/docker.sock:/var/run/docker.sock" \
-v "${SSL_VOLUME}:/etc/ingress-controller/ssl/" \
-v "${INGRESS_VOLUME}:/etc/ingress-controller/" \
${MINIKUBE_VOLUME} \
-w "/go/src/${PKG}" \
-u $(id -u ${USER}):$(id -g ${USER}) \